From 7cb938aef7a6c5c98b3c2017b70596316a41c085 Mon Sep 17 00:00:00 2001
From: Renato Aguiar <renato@renag.me>
Date: Tue, 25 Jun 2019 18:14:24 -0700
Subject: [PATCH] vagrant: update to 2.2.5

---
 .../vagrant/patches/fix-nfs-detection.patch   | 22 -------------------
 srcpkgs/vagrant/template                      |  6 ++---
 2 files changed, 3 insertions(+), 25 deletions(-)
 delete mode 100644 srcpkgs/vagrant/patches/fix-nfs-detection.patch

diff --git a/srcpkgs/vagrant/patches/fix-nfs-detection.patch b/srcpkgs/vagrant/patches/fix-nfs-detection.patch
deleted file mode 100644
index 0509036bd62..00000000000
--- a/srcpkgs/vagrant/patches/fix-nfs-detection.patch
+++ /dev/null
@@ -1,22 +0,0 @@
---- plugins/hosts/void/cap/nfs.rb
-+++ plugins/hosts/void/cap/nfs.rb
-@@ -15,7 +15,7 @@ module VagrantPlugins
-         end
- 
-         def self.nfs_installed(env)
--          result = Vagrant::Util::Subprocess.execute("/usr/bin/xbps-query nfs-utils")
-+          result = Vagrant::Util::Subprocess.execute("/usr/bin/xbps-query", "nfs-utils")
-           result.exit_code == 0
-         end
-       end
---- test/unit/plugins/hosts/void/cap/nfs_test.rb
-+++ test/unit/plugins/hosts/void/cap/nfs_test.rb
-@@ -39,7 +39,7 @@ describe VagrantPlugins::HostVoid::Cap::NFS do
-     let(:result) { Vagrant::Util::Subprocess::Result.new(exit_code, "", "") }
- 
-     before { allow(Vagrant::Util::Subprocess).to receive(:execute).
--        with(/xbps-query nfs-utils/).and_return(result) }
-+        with("/usr/bin/xbps-query", "nfs-utils").and_return(result) }
- 
-     it "should provide nfs_installed capability" do
-       expect(caps.get(:nfs_installed)).to eq(described_class)
diff --git a/srcpkgs/vagrant/template b/srcpkgs/vagrant/template
index ba0f1ce6a06..639f38b3648 100644
--- a/srcpkgs/vagrant/template
+++ b/srcpkgs/vagrant/template
@@ -1,7 +1,7 @@
 # Template file for 'vagrant'
 pkgname=vagrant
-version=2.2.4
-revision=2
+version=2.2.5
+revision=1
 archs="i686 x86_64"
 hostmakedepends="ruby"
 makedepends="ruby-devel zlib-devel"
@@ -11,7 +11,7 @@ maintainer="Andrea Brancaleoni <abc@pompel.me>"
 license="MIT"
 homepage="https://www.vagrantup.com/"
 distfiles="https://github.com/mitchellh/${pkgname}/archive/v${version}.tar.gz"
-checksum=4f8ce6ede5d47a2be1ce46a29d22d41d1f4ba9d99fe9496b2424f98ae4dab2d6
+checksum=0a228f5185b24b72efcc5a3924f86fa9fabab6f7562c3c63c1d9d239aa72a7b1
 nocross=yes
 
 post_extract() {
